## concalc 0.9.3

=== CMakeLists.txt ===
PROJECT(concalc)


CMAKE_MINIMUM_REQUIRED(VERSION 2.4.3 FATAL_ERROR)






SET( CMAKE_BUILD_TYPE Release )


INCLUDE_DIRECTORIES(src/
                    .)


SET(CPACK_INSTALL_CMAKE_PROJECTS "/home/user/Projekte/concalc;Concalc;ALL;/")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Scientific Calculator for the Terminal")
SET(CPACK_PACKAGE_VENDOR "")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_VERSION "0.93")
SET(CPACK_PACKAGE_NAME "concalc")

SET(CPACK_PACKAGE_INSTALL_DIRECTORY "CMake ${CMake_VERSION_MAJOR}.${CMake_VERSION_MINOR}")
SET(CPACK_STRIP_FILES "bin/concalc")
SET(CPACK_SOURCE_STRIP_FILES "")
SET(CPACK_PACKAGE_EXECUTABLES "concalc;concalc")
SET(CPACK_GENERATOR "TGZ")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES "CVS/")
#Debian speciefic
SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386")
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 , libgcc1, libstdc++6")
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Rainer Strobel <rainer1223@users.sourceforge.net>")
SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION "Console version of the Extcalc calculator")
SET(CPACK_DEBIAN_PACKAGE_SECTION "math")
SET(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")

SET(CPACK_RPM_PACKAGE_ARCHITECTURE "i386")
SET(CPACK_RPM_PACKAGE_LICENSE "GPL")
SET(CPACK_RPM_PACKAGE_GROUP "Productivity/Schientific/Math")
SET(CPACK_RPM_PACKAGE_VENDOR "Rainer Strobel <rainer1223@users.sourceforge.net>")
SET(CPACK_RPM_PACKAGE_DESCRIPTION "Console version of the Extcalc calculator")


INCLUDE(CPack)



SET(src_h
        src/concalc.h
        src/global.h
        src/list.h
)
	
SET(src_cxx 
	src/concalc.cpp
	src/global.cpp
)



SET(CMAKE_INSTALL_PREFIX "/usr/local")
SET(MANDIR "share/man/man1")
SET(BINDIR "bin")
ADD_DEFINITIONS(-DINSTALLDIR=\"\\\"${CMAKE_INSTALL_PREFIX}/share/extcalc\\\"\")


INSTALL(FILES man/concalc.1.gz DESTINATION ${MANDIR})


ADD_EXECUTABLE(concalc WIN32 ${src_cxx} ${src_h})

  INSTALL(TARGETS concalc RUNTIME DESTINATION bin
      PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ
		  GROUP_EXECUTE GROUP_READ
		  WORLD_EXECUTE WORLD_READ)

## concalc 0.9.2

=== debian/changelog ===
concalc (0.9.2-2) unstable; urgency=low

  * Add fix-string-format-error.patch, thanks to Eric Alexander
    <eric.alexander@gmail.com>, fixes FTBF (Closes: #643366)
  * Bump Standards-Version to 3.9.2
  * Switch to source format 3.0

 -- Varun Hiremath <varun@debian.org>  Sun, 13 Nov 2011 01:42:52 -0500

concalc (0.9.2-1) unstable; urgency=low

  * Do not use the flaky sf redirector in debian/watch.
  * new upstream release
  * Bump up Standards-Version: 3.8.0 (no changes needed).

 -- Torsten Werner <twerner@debian.org>  Mon, 18 Aug 2008 02:54:17 +0200

concalc (0.9.1-1) unstable; urgency=low

  * new upstream release

 -- Torsten Werner <twerner@debian.org>  Tue, 11 Mar 2008 23:09:20 +0100

concalc (0.9.0-2) unstable; urgency=low

  * debian/control:
    + Add Homepage header and replace XS-Vcs with Vcs
    + Bump up Standards-Version to 3.7.3
    + Build-Depend on debhelper >= 6
  * debian/compat: Bump to 6
  * Add patches/hyphens.diff to fix hyphens in the upstream manpage

 -- Varun Hiremath <varun@debian.org>  Sat, 19 Jan 2008 01:41:01 +0530

concalc (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Upstream package renamed to concalc - remove debian/patches

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 16 Oct 2007 00:27:18 +0530

concalc (0.8.5-1) unstable; urgency=low

  * New upstream release
  * Enhance debian/watch

 -- Varun Hiremath <varunhiremath@gmail.com>  Sun, 10 Jun 2007 16:22:28 +0530

concalc (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Remove FTBFS patch - merged upstream; update manpage.diff patch.

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 03 May 2007 21:30:31 +0530

concalc (0.7.0-3) unstable; urgency=low

  [ Torsten Werner ]
  * Add myself to Uploaders.

  [ Varun Hiremath ]
  * Change the binary name displayed with --help option (Closes: #419910)

 -- Varun Hiremath <varunhiremath@gmail.com>  Wed, 18 Apr 2007 23:20:34 +0530

concalc (0.7.0-2) unstable; urgency=low

  * Include new upstream patch to fix compile errors

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 19 Mar 2007 15:27:28 +0530

concalc (0.7.0-1) unstable; urgency=low

  * New upstream release 
    + Fixes FTBFS (Closes: #413476)

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 15 Mar 2007 13:04:32 +0530

concalc (0.6.5-1) unstable; urgency=low

  * Initial release (Closes: #406095)

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri, 12 Jan 2007 19:13:40 +0530

=== debian/control ===
Source: concalc
Section: math
Priority: optional
Maintainer: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper (>= 7), quilt
Standards-Version: 3.9.2
Homepage: http://extcalc-linux.sourceforge.net/
Vcs-Svn: https://bollin.googlecode.com/svn/concalc/
Vcs-Browser: http://bollin.googlecode.com/svn/concalc/

Package: concalc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console calculator
 concalc is a calculator for the Linux console. It is just the
 parser-algorithm of extcalc packed into a simple console program. You
 can use it if you need a calculator in your shell. concalc is also able
 to run scripts written in a C-like programming language.

=== debian/watch ===
version=3
http://sf.net/extcalc-linux/ concalc-(.*)\.tar\.gz debian debian/orig-tar.sh

## concalc 0.9.3

=== debian/changelog ===
concalc (0.9.3-2) unstable; urgency=medium

  * Team upload.
  * d/rules: use execute_after_dh_auto_install
  * d/rules: -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1112805)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 01 Sep 2025 21:14:47 +0200

concalc (0.9.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
    Closes: #517963
  * Maintain package in Package Salvage team
    Closes: #1087462
  * d/rules: Switch from cdbs to dh
    Closes: #1072896, #1043643
  * No need for orig-tar.sh script
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Try hard to apply patches to compressed manpage
    Closes: #808876
  * Trim trailing whitespace.
  * watch file standard 4 (routine-update)
  * Propagate hardening options

  [ наб ]
  * d/p/
    2 Remove needless allocations
      Read input with std::getline() instead of fgets(1024)
      Calculate path to ~/.concalcvariables once
      Allow all input files to be non-seekable
    3 Fix segfault if $HOME not set (Closes: #715751)
    4 Fix segfault if no argument given for -a or -m

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 14 Nov 2024 01:07:51 +0100

concalc (0.9.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper version to 9.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 09 Dec 2022 23:22:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: concalc
 Section: math
 Priority: optional
-Maintainer: Varun Hiremath <varun@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), quilt
-Standards-Version: 3.9.2
-Homepage: http://extcalc-linux.sourceforge.net/
-Vcs-Svn: https://bollin.googlecode.com/svn/concalc/
-Vcs-Browser: http://bollin.googlecode.com/svn/concalc/
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Varun Hiremath <varun@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               cmake
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/salvage-team/concalc
+Vcs-Git: https://salsa.debian.org/salvage-team/concalc.git
+Homepage: https://extcalc-linux.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: concalc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_installman:
	rm -rf debian/*/usr/man
	gunzip --keep man/*.1.gz
	patch -p1 < debian/patches/hyphens.diff
	patch -p1 < debian/patches/concalc.1.diff
	dh_installman man/*.1
	rm man/*.1

execute_after_dh_auto_install:
	mv $(CURDIR)/debian/concalc/usr/local/bin $(CURDIR)/debian/concalc/usr/
	rm -rf $(CURDIR)/debian/concalc/usr/local

=== debian/watch ===
version=4
http://sf.net/extcalc-linux/ concalc-(.*)\.tar\.gz
